package minichatclient;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import com.borland.jbcl.layout.*;

public class ConnectDlg extends JDialog {
    JPanel panel1 = new JPanel();
    JTextField jtfPort = new JTextField();
    JLabel jLabel1 = new JLabel();
    JTextField jtfIpaddr = new JTextField();
    JLabel jLabel2 = new JLabel();
    JButton btnCancel = new JButton();
    JButton btnOK = new JButton();
    boolean fOK;
    XYLayout xYLayout1 = new XYLayout();
    public ConnectDlg(Frame owner, String title, boolean modal) {
        super(owner, title, modal);
        try {
            setDefaultCloseOperation(DISPOSE_ON_CLOSE);
            jbInit();
            pack();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
    }

    public ConnectDlg() {
        this(new Frame(), "ConnectDlg", false);
    }

    private void jbInit() throws Exception {
        panel1.setLayout(xYLayout1);
        jLabel1.setText("Port TCP cua Server:");
        jtfIpaddr.setText("");
        jLabel2.setText("Dia Chi IP cua Server:");
        btnCancel.setSelectedIcon(null);
        btnCancel.setText("Cancel");
        btnCancel.addActionListener(new ConnectDlg_btnCancel_actionAdapter(this));
        btnOK.setText("OK");
        btnOK.addActionListener(new ConnectDlg_btnOK_actionAdapter(this));
        btnOK.addMouseListener(new ConnectDlg_btnOK_mouseAdapter(this));
        panel1.setMinimumSize(new Dimension(450, 300));
        panel1.setPreferredSize(new Dimension(450, 250));
        getContentPane().add(panel1);
        panel1.add(btnCancel, new XYConstraints(264, 194, 85, 29));
        panel1.add(btnOK, new XYConstraints(69, 194, 85, 29));
        panel1.add(jLabel1, new XYConstraints(3, 97, 138, 26));
        panel1.add(jtfPort, new XYConstraints(147, 96, 223, 27));
        panel1.add(jLabel2, new XYConstraints(3, 59, 138, 26));
        panel1.add(jtfIpaddr, new XYConstraints(147, 58, 223, 27));
    }

    public void btnOK_mouseClicked(MouseEvent e) {
        fOK= true;
        this.hide();
    }

    public void btnOK_actionPerformed(ActionEvent e) {

    }

    public void btnCancel_actionPerformed(ActionEvent e) {
        this.hide();
    }
}


class ConnectDlg_btnCancel_actionAdapter implements ActionListener {
    private ConnectDlg adaptee;
    ConnectDlg_btnCancel_actionAdapter(ConnectDlg adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.btnCancel_actionPerformed(e);
    }
}


class ConnectDlg_btnOK_actionAdapter implements ActionListener {
    private ConnectDlg adaptee;
    ConnectDlg_btnOK_actionAdapter(ConnectDlg adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.btnOK_actionPerformed(e);
    }
}


class ConnectDlg_btnOK_mouseAdapter extends MouseAdapter {
    private ConnectDlg adaptee;
    ConnectDlg_btnOK_mouseAdapter(ConnectDlg adaptee) {
        this.adaptee = adaptee;
    }

    public void mouseClicked(MouseEvent e) {
        adaptee.btnOK_mouseClicked(e);
    }
}
