package minichatclient;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class LoginDlg extends JDialog {
    boolean fOK;
    JPanel panel1 = new JPanel();
    JTextField jtfUsername = new JTextField();
    JLabel jLabel1 = new JLabel();
    JTextField jtfGroupname = new JTextField();
    JLabel jLabel2 = new JLabel();
    JButton btnCancel = new JButton();
    JButton btnOK = new JButton();
    public LoginDlg(Frame owner, String title, boolean modal, String groupname) {
        super(owner, title, modal);
        try {
            setDefaultCloseOperation(DISPOSE_ON_CLOSE);
            jbInit();
            //jtfGroupname.setText(groupname);
            pack();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
    }

    public LoginDlg() {
        this(new Frame(), "LoginDlg", false,"");
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        panel1.setLayout(null);
        jtfUsername.setText("");
        jtfUsername.setBounds(new Rectangle(116, 113, 232, 30));
        jLabel1.setText("Ten user:");
        jLabel1.setBounds(new Rectangle(15, 116, 84, 26));
        jtfGroupname.setBounds(new Rectangle(114, 50, 231, 30));
        jLabel2.setText("Ten nhom:");
        jLabel2.setBounds(new Rectangle(14, 50, 84, 26));
        btnCancel.setBounds(new Rectangle(245, 187, 94, 27));
        btnCancel.setText("Cancel");
        btnCancel.addActionListener(new LoginDlg_btnCancel_actionAdapter(this));
        btnOK.setBounds(new Rectangle(48, 192, 94, 27));
        btnOK.setText("OK");
        btnOK.addActionListener(new LoginDlg_btnOK_actionAdapter(this));
        panel1.setMinimumSize(new Dimension(500, 300));
        panel1.setPreferredSize(new Dimension(400, 300));
        jtfGroupname.addActionListener(new LoginDlg_jTextField1_actionAdapter(this));
        getContentPane().add(panel1);
        panel1.add(jtfGroupname);
        panel1.add(jLabel2);
        panel1.add(jtfUsername);
        panel1.add(jLabel1);
        panel1.add(btnOK);
        panel1.add(btnCancel);
    }

    public void btnOK_actionPerformed(ActionEvent e) {
        fOK=true;
        this.hide();
    }

    public void jTextField1_actionPerformed(ActionEvent e) {

    }

    public void btnCancel_actionPerformed(ActionEvent e) {
        this.hide();
    }
}


class LoginDlg_btnCancel_actionAdapter implements ActionListener {
    private LoginDlg adaptee;
    LoginDlg_btnCancel_actionAdapter(LoginDlg adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.btnCancel_actionPerformed(e);
    }
}


class LoginDlg_jTextField1_actionAdapter implements ActionListener {
    private LoginDlg adaptee;
    LoginDlg_jTextField1_actionAdapter(LoginDlg adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.jTextField1_actionPerformed(e);
    }
}


class LoginDlg_btnOK_actionAdapter implements ActionListener {
    private LoginDlg adaptee;
    LoginDlg_btnOK_actionAdapter(LoginDlg adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.btnOK_actionPerformed(e);
    }
}
